import zod from "zod";
import { Plugin } from "@webiny/plugins";
import { createPageValidation, updatePageValidation, updatePageSettingsValidation } from "../graphql/crud/pages/validation";
export interface PageBuilderPageValidationModifierPluginParams {
    onCreate?: (schema: typeof createPageValidation) => zod.infer<typeof createPageValidation & zod.Schema>;
    onUpdate?: (schema: typeof updatePageValidation) => zod.infer<typeof updatePageValidation & zod.Schema>;
    onSettings?: (schema: typeof updatePageSettingsValidation) => zod.infer<typeof updatePageSettingsValidation & zod.Schema>;
}
/**
 * Undocumented plugin - internal use only.
 */
export declare class PageBuilderPageValidationModifierPlugin extends Plugin {
    static readonly type: string;
    private readonly options;
    constructor(options: PageBuilderPageValidationModifierPluginParams);
}
export declare const createPageBuilderPageValidationModifierPluginParams: (options: PageBuilderPageValidationModifierPluginParams) => PageBuilderPageValidationModifierPlugin;
